"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_custom_title2 = common_vendor.resolveComponent("hs-custom-title");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  (_easycom_uni_icons2 + _easycom_hs_custom_title2 + _easycom_hs_button2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_custom_title = () => "../../components/hs-custom-title/hs-custom-title.js";
const _easycom_hs_button = () => "../../components/hs-button/hs-button.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_custom_title + _easycom_hs_button)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const capsuleRect = common_vendor.ref({});
    const handleBack = () => {
      common_vendor.index.navigateBack({
        delta: 1
      });
    };
    const goToPage = (url) => {
      common_vendor.index.navigateTo({ url });
    };
    common_vendor.onLoad(() => {
      capsuleRect.value = common_vendor.index.getMenuButtonBoundingClientRect();
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.s(`height:${capsuleRect.value.height}px;width:${capsuleRect.value.height}px;`),
        c: common_vendor.o(handleBack),
        d: common_vendor.s(`padding-top:${capsuleRect.value.top}px;height:${capsuleRect.value.height}px;line-height:${capsuleRect.value.height}px;`),
        e: common_vendor.p({
          title: "我的钱包"
        }),
        f: common_vendor.p({
          type: "right",
          color: "#999",
          size: "12"
        }),
        g: common_vendor.o(($event) => goToPage("/ME/advance_payment_house/index")),
        h: common_vendor.o(($event) => goToPage("/ME/recharge_record/index")),
        i: common_vendor.p({
          label: "充值记录",
          type: "display",
          size: "md"
        }),
        j: common_vendor.o(($event) => goToPage("/ME/recharge/index")),
        k: common_vendor.p({
          label: "充值",
          type: "primary",
          size: "md"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/wallet/index.vue"]]);
wx.createPage(MiniProgramPage);
